Package icyllis.modernui.util

# Class IOStreamParcel

java.lang.Object
icyllis.modernui.util.Parcel
icyllis.modernui.util.IOStreamParcel

All Implemented Interfaces:
  `AutoCloseable`

@Internal public class IOStreamParcel extends Parcel implements AutoCloseable

- ## Field Summary

  ### Fields inherited from class icyllis.modernui.util.Parcel

  `mNativeBuffer`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IOStreamParcel(InputStream in, OutputStream out)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `close()`
  `protected void`
  `ensureCapacity(int len)`
  `void`
  `limit(int newLimit)`
  `void`
  `position(int newPosition)`
  `byte`
  `readByte()`
  `void`
  `readBytes(byte[] dst, int off, int len)`
  `int`
  `readInt()`
  `long`
  `readLong()`
  `short`
  `readShort()`
  `void`
  `writeByte(int v)`
  Write a byte value into the parcel.
  `void`
  `writeBytes(byte[] src, int off, int len)`
  `void`
  `writeInt(int v)`
  Write an integer value into the parcel.
  `void`
  `writeLong(long v)`
  Write a long integer value into the parcel.
  `void`
  `writeShort(int v)`
  Write a short integer value into the parcel.

  ### Methods inherited from class icyllis.modernui.util.Parcel

  `capacity, freeData, limit, position, readArray, readBoolean, readBooleanArray, readByteArray, readBytes, readChar, readCharArray, readCharSequence, readDataSet, readDouble, readDoubleArray, readFloat, readFloatArray, readInstant, readIntArray, readLongArray, readParcelable, readParcelable0, readParcelableCreator, readShortArray, readString, readString16, readString8, readUUID, readValue, setCapacity, writeArray, writeBoolean, writeBooleanArray, writeByteArray, writeByteArray, writeBytes, writeChar, writeCharArray, writeCharSequence, writeDataSet, writeDouble, writeDoubleArray, writeFloat, writeFloatArray, writeInstant, writeIntArray, writeList, writeLongArray, writeParcelable, writeParcelableCreator, writeShortArray, writeString, writeString16, writeString8, writeUUID, writeValue`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### IOStreamParcel

    public IOStreamParcel(InputStream in, OutputStream out)

- ## Method Details

  - ### ensureCapacity

    protected void ensureCapacity(int len)
    Overrides:
      `ensureCapacity` in class `Parcel`

  - ### position

    public void position(int newPosition)
    Overrides:
      `position` in class `Parcel`

  - ### limit

    public void limit(int newLimit)
    Overrides:
      `limit` in class `Parcel`

  - ### writeBytes

    public void writeBytes(byte[] src, int off, int len)
    Overrides:
      `writeBytes` in class `Parcel`

  - ### writeByte

    public void writeByte(int v)
    Description copied from class: `Parcel`
    Write a byte value into the parcel.
    Overrides:
      `writeByte` in class `Parcel`

  - ### writeShort

    public void writeShort(int v)
    Description copied from class: `Parcel`
    Write a short integer value into the parcel.
    Overrides:
      `writeShort` in class `Parcel`

  - ### writeInt

    public void writeInt(int v)
    Description copied from class: `Parcel`
    Write an integer value into the parcel.
    Overrides:
      `writeInt` in class `Parcel`

  - ### writeLong

    public void writeLong(long v)
    Description copied from class: `Parcel`
    Write a long integer value into the parcel.
    Overrides:
      `writeLong` in class `Parcel`

  - ### readBytes

    public void readBytes(byte[] dst, int off, int len)
    Overrides:
      `readBytes` in class `Parcel`

  - ### readByte

    public byte readByte()
    Overrides:
      `readByte` in class `Parcel`

  - ### readShort

    public short readShort()
    Overrides:
      `readShort` in class `Parcel`

  - ### readInt

    public int readInt()
    Overrides:
      `readInt` in class `Parcel`

  - ### readLong

    public long readLong()
    Overrides:
      `readLong` in class `Parcel`

  - ### close

    public void close() throws IOException
    Specified by:
      `close` in interface `AutoCloseable`
    Throws:
      `IOException`